﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace Simulator.Model
{
	public class Alarm : INotifyPropertyChanged
    {
        int value;
        

        public event PropertyChangedEventHandler PropertyChanged;

        public int Value
        {
            set
            {
                if (this.value != value)
                {
                    this.value = value;
                    OnPropertyChanged("Value");
                }

            }
            get
            {
                return this.value;
            }
        }
        public IList<int> EventCodes { get; set; }
        public ushort Index { get; set; }
        public ushort SubIndex { get; set; }

        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this,
                    new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
