﻿using Simulator.Model;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace Simulator.ViewModels
{
	public class AlarmViewModel : INotifyPropertyChanged
	{
		
		public event PropertyChangedEventHandler PropertyChanged;
        Alarm model;
        public AlarmViewModel(Alarm model)
        {
            this.model = model;
        }

		

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this,
					new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}